安装.deb包提示 覆盖某 .so.0时失败该怎么处理

软件和网站开发以及相关技术探讨
回复
dreamyfish
帖子: 79
注册时间: 2007-01-29 11:24
送出感谢: 0
接收感谢: 0

安装.deb包提示 覆盖某 .so.0时失败该怎么处理

#1

帖子 dreamyfish » 2007-02-07 21:48

我要安装 SDL 开发包,先用alien转成.deb,在安装, 可是老提示说覆盖/usr/lib/libSDL-1.2.so.0 失败。。。是否有什么办法解决~~~

fish@fish-ubuntu:~/work/980/setup$ sudo dpkg -i -E sdl_1.2.4-2_i386.deb
(正在读取数据库 ... 系统当前总共安装有 95478 个文件和目录。)
正在解压缩 sdl (从 sdl_1.2.4-2_i386.deb) ...
dpkg:处理 sdl_1.2.4-2_i386.deb (--install)时出错:
正试图覆盖“/usr/lib/libSDL-1.2.so.0”,它属于软件包 libsdl1.2debian-alsa
在处理时有错误发生:
sdl_1.2.4-2_i386.deb
fish@fish-ubuntu:~/work/980/setup$
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 karron » 2007-02-07 22:00

加上 --force-overwrite 参数
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
dreamyfish
帖子: 79
注册时间: 2007-01-29 11:24
送出感谢: 0
接收感谢: 0

#3

帖子 dreamyfish » 2007-02-08 19:36

谢谢楼上XD的解答~~~ 问题解决了
只是我用#dpkg --help 参数查看却并没看到--force-overwrite 这个完整的参数。。。
刚才注意看了下 --help下面的提示:
--force-... 忽视遇到的问题 - 参见 --force-help。
于是执行#dpkg --force-help 这才找到,惭愧。。。
头像
leozhang2002
帖子: 87
注册时间: 2005-08-17 23:44
来自: 武汉
送出感谢: 0
接收感谢: 0

#4

帖子 leozhang2002 » 2007-10-09 10:46

这个参数确实有用,我也遇到了同样的问题。必须把--force-overwrite 加到中间才行,即

代码: 全选

 dpkg -i --force-overwrite  sdl_1.2.4-2_i386.deb 
为折腾而用Linux;为不折腾而用Windows

To be, or not to be: that is the question:
回复

回到 “软件/网站开发”